(define-module (vhttpd)
  :export (
           ;;vhttpd/socket.h
           make-unix-server-socket
           make-unix-client-socket
           ;;vhttpd/message.h
	   message?
	   message-plain?
	   message-header
	   message-header-set!
	   message-cookie
	   message-method
	   message-uri
	   message-query
	   message-body
	   message-startline
	   message-code
	   message-code-string
	   make-response

	   ;;vhttpd/daemon.h
	   daemonize
	   drop-privs

	   ;;vhttpd/decode.h
	   decode-url-component
	   encode-url-component
	   decode-base64

	   ;;vhttpd/channel.h
	   channel?
	   make-tls-channel

	   ;vhttpd/server.h
	   message-loop

	   ;;vhttpdutil.h
	   make-string-response
	   make-file-response
	   make-redirect-response
	   ))

(load-extension "libguile-vhttpd.so" "scm_init_vhttpd")

